Reads the history

- « readline_on_new_line

- readline_redisplay »

- PHP Manual
- Readline Functions
- Reads the history

# readline_read_history

(PHP 4, PHP 5, PHP 7, PHP 8)

readline_read_history — Reads the history

### Description

readline_read_history(?string `$filename` = `null`): bool

This function reads a command history from a file.

### Parameters

`filename`

  Path to the filename containing the command history.

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | `filename` is nullable now.